Anmerkungen
GET https://sitealyse.de/api/annotations/
curl --request GET \
--url 'https://sitealyse.de/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sitealyse.de/api/annotations/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Ganzzahl | |
| search | Optional Zeichenkette | Der Suchbegriff. |
| search_by | Optional Zeichenkette | Nach welchem Feld suchen Sie. Erlaubte Werte sind: name. |
| order_by | Optional Zeichenkette | Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: annotation_id, datetime, last_datetime, name, chart_datetime. |
| order_type | Optional Zeichenkette | Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge, und DESC für absteigende Sortierung. |
| page | Optional Ganzzahl | Die Seitennummer, ab der Sie Ergebnisse wünschen. Der Standardwert ist 1. |
| results_per_page | Optional Ganzzahl | Wie viele Ergebnisse Sie pro Seite wünschen. Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardwert ist 25. |
{
"data": [
{
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-03-18 15:47:10",
"datetime": "2026-03-18 15:47:10",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://sitealyse.de/api/annotations?page=1",
"last": "https://sitealyse.de/api/annotations?page=1",
"next": null,
"prev": null,
"self": "https://sitealyse.de/api/annotations?page=1"
}
}
GET https://sitealyse.de/api/annotations/{annotation_id}
curl --request GET \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id: 1,
"user_id: 1,
"name": "Example",
"chart_datetime": "2026-03-18 15:47:10",
"datetime": "2026-03-18 15:47:10",
"last_datetime": null
}
}
POST https://sitealyse.de/api/annotations
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Erforderlich Ganzzahl | - |
| name | Erforderlich Zeichenkette | - |
| chart_datetime | Erforderlich Zeichenkette | Y-m-d H:i:s |
curl --request POST \
--url 'https://sitealyse.de/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-03-18 15:47:10' \
--url 'https://sitealyse.de/api/annotations' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-03-18 15:47:10' \
{
"data": {
"id": 1
}
}
POST https://sitealyse.de/api/annotations/{annotation_id}
| Parameter | Details | Beschreibung |
|---|---|---|
| website_id | Optional Ganzzahl | - |
| name | Optional Zeichenkette | - |
| chart_datetime | Optional Zeichenkette | Y-m-d H:i:s |
curl --request POST \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://sitealyse.de/api/annotations/{annotation_id}
curl --request DELETE \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://sitealyse.de/api/annotations/{annotation_id}' \
--header 'Authorization: Bearer {api_key}' \